Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.json
Class JSONCollection

    java.lang.Object
      java.util.AbstractCollection
          org.richfaces.json.JSONCollection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable, java.util.Collection

    public class JSONCollection

extends java.util.AbstractCollection
implements java.io.Serializable

Author:
  Nick Belaevski - nbelaevski@exadel.com created 15.12.2006
See Also:
  Serialized Form

Constructor Summary
`JSONCollection()`
`JSONCollection(JSONArray array)`
`JSONCollection(java.lang.String jsonString)`

Method Summary
`java.util.Iterator` | `iterator()`
`int` | `size()`

Methods inherited from class java.util.AbstractCollection
`add, addAll, clear, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`equals, hashCode`

Constructor Detail

### JSONCollection

    public JSONCollection()
                   throws JSONException

Throws:
  `JSONException`

### JSONCollection

    public JSONCollection(JSONArray array)
                   throws JSONException

Throws:
  `JSONException`

### JSONCollection

    public JSONCollection(java.lang.String jsonString)
                   throws JSONException

Throws:
  `JSONException`

Method Detail

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable`
  Specified by:
    `iterator` in interface `java.util.Collection`
  Specified by:
    `iterator` in class `java.util.AbstractCollection`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Collection`
  Specified by:
    `size` in class `java.util.AbstractCollection`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.